function [borderbox] = findBox(result)

 resultMat = cell2mat(result);
 MinX = min(resultMat(1,:));
 MinY = min(resultMat(2,:));
 MaxX = max(resultMat(1,:));
 MaxY = max(resultMat(2,:));

 borderbox = [ MinX MaxY ; ...
         MinX MinY ; ...
         MaxX+0.01 MinY ; ...
         MaxX+0.01 MaxY ; ...
         MinX MaxY ; ];
     
%% How to use the box
figure; grid on; box on; hold on;
x =resultMat(1,:); y =resultMat(2,:);
xv = borderbox(:,1);
yv = borderbox(:,2);
in = inpolygon(x,y,xv,yv);
plot(xv,yv,x(in),y(in),'.r',x(~in),y(~in),'.b')
end
