%Laban Movement Analysis concept
function fig= LMAconcept(demos,dt,fig)
color={'b+', 'k+', 'r+', 'g+','y+','m+'};
if ~exist('fig','var') || isempty(fig)
    fig= figure; box on; hold on; grid on;
    %xlabel('frequenze (Hz)');
    %ylabel('');
    
end
for it=1:length(demos)
    vel=demos{it}(3:4,:)';
    y = sqrt(sum(diff(vel).^2,2));
    L = length(y);
    Fs = 1/dt;                    % Sampling frequency
    T = 1/Fs;                     % Sample time
    
    t = (0:L-1)*T;
    NFFT = 2^nextpow2(L); % Next power of 2 from length of y
    Y= fft(y,NFFT)/L;
    f = Fs/2*linspace(0,1,NFFT/2+1);
    % Plot single-sided amplitude spectrum.
    figure(fig)
    plot(f,2*abs(Y(1:NFFT/2+1)))
    hold all
    title('Single-Sided Amplitude Spectrum of y(t)')
    xlabel('Frequency (Hz)')
    ylabel('|Y(f)|')
end




end