function [ outputDemo, outputRepro ] = ResampleData_v2( demoData, reproX,forceFlag)
%RESAMPLEDATA Summary of this function goes here
%   Detailed explanation goes here

if ~exist('forceFlag','var')
    forceFlag=0;
end
nDataDemo = size(demoData, 2);
nDataRepro = size(reproX, 2);
nData = max(nDataDemo, nDataDemo);

%resampling of the data if it doesn't have the same
%number of datapoints
outputDemo = [];
outputRepro = [];

demoTraj=demoData';
reproTraj=reproX';

reproData=reproTraj;

if ~forceFlag
    
    if nDataRepro > nDataDemo
        demoTraj=interp1(1:size(demoTraj,1),demoTraj,(1:size(reproData,1))/size(reproData,1)*size(demoTraj,1),'splines');
    else
        reproData=interp1(1:size(reproData,1),reproData ,(1:size(demoTraj,1))/size(demoTraj,1)*size(reproData,1),'splines');
    end
    
else
    reproData=interp1(1:size(reproTraj,1),reproData ,(1:size(demoTraj,1))/size(demoTraj,1)*size(reproTraj,1),'splines');
end
outputDemo=demoTraj';
outputRepro=reproData';
%
% if(nData == nDataDemo)
%
%      map = nDataDemo / nDataRepro;
%      for j=1:nDataRepro
%          index = round(map * j);
%          if(index < 1)
%              index = 1;
%          elseif(index > nDataDemo)
%              index=nDataDemo;
%          end
%          outputDemo(:, j) = demoData{demoIndex}(:, index);
%      end
%     outputRepro = [reproX(:, :, demoIndex) ; reproXD(:, :, demoIndex)];
% else
%     map =  nDataModel / nDataDemo;
%      for j=1:nDataDemo
%          index = round(map * j);
%         if(index < 1)
%             index = 1;
%         elseif(index > nDataModel)
%             index=nDataModel;
%          end
%          outputRepro(:, j) = [reproX(:, index, demoIndex); reproXD(:, index, demoIndex)];
%      end
%      outputDemo = demoData{demoIndex};
% end

end

