function sData=smooth_butter(order,frequence, data)
if frequence < 0 || frequence > 0.5
    error('cutoff frequency must be between 0 and 0.5');
end
if length(data)< 3*order
    order = floor(length(data)/3);
    warning(['[Smooth_butter] order of filter is changed to: ' num2str(order)])
end
[b,a] = butter(order, frequence, 'low');
try
    sData = filtfilt(b, a, data);
catch
    sData=data;
    warning(['[Smooth_butter] could not smooth trajectory maybe to small: ' num2str(length(data))])
end
end


