function plottingMPset(name, PATH_MODEL)
% plottingMPset(name, PATH_MODEL)
% name = specifies the name of the file it is also allowed to use '*'
% PATH_MODEL =  root path in which name is localized
%
if ~exist('PATH_MODEL','var')
    PATH_MODEL=['.' filesep];
end
NAME_MODEL = dir([PATH_MODEL name]);
try
    for numModel=1:length(NAME_MODEL)
        load([PATH_MODEL NAME_MODEL(numModel).name]);
        figure
        box on; hold on; grid on;
        set(gca,'FontSize',16);
        ylabel('Y');       %  add axis labels and plot title
        xlabel('X');
        xlim([-1.2 0.2])
        ylim([-1.1 1.1])
        for i = 1: length(result)
            plot(result{i}(1,:),result{i}(2,:),'k')
        end
        plot(result{1}(1,1),result{1}(2,1),'k+')
        plot(result{1}(1,end),result{1}(2,end),'k+')
    end
catch ME
    warning('Name of file or path maybe wrong')
    ME
    
end

end