function generateFigure(record)
%% reproduce the figures from IROS paper 2012
%
% copyright (2012, Andre Lemme, Andrea Soltoggio)
%
% TODO describtion what the user needs to do.
%

if ~exist('record','var')
    record =0;
end





include_paths;

reply = input('Choose Figure number out of (2 4 5 6) default [2] :');
if isempty(reply)
    reply = 2;
end

switch reply
    case 2
        plottingMPset('*7*', './model/Flash/')
        plottingMPset('*51*', './model/Flash/')
    case 4
        reply2 = input('Choose sub Figure out of (1 2 3 4) default [1] :' );
        if isempty(reply2)
            reply2 = 1;
        end
        if reply2 >4
            disp(['sub number: ' num2str(reply2) ' not available'])
            return
        end
        
        disp('Select Model: 51-set=1')
        disp('               7-set=2')
        sModel = input('Value default     [1] :' );
        if isempty(sModel)
            sModel = 1;
        end
        selectedDataSet = reply2+1; % currently set 1 or 2
        if sModel>1
            numModel = 3;
        else
            numModel = 1;
        end
        runDecomposition(numModel, selectedDataSet,record )
        
    case 5
        reply = input('Choose sub Figure out of (B C) default [B] :' , 's');
        if isempty(reply)
            reply = 'B';
        end
        
        if strcmp(reply,'B')
            numModel=3;
        elseif strcmp(reply,'C')
            numModel=1;
        else
            error('I do not know this figure')
        end
        selectedDataSet = 7; % currently set 1 or 2
        
        runDecomposition(numModel, selectedDataSet,record)
        
    case 6
        reply = input('Choose sub Figure out of (D E) default [D] :' , 's');
        if isempty(reply)
            reply = 'D';
        end
        selectedDataSet = 1; % currently set 1 or 2
        
        if strcmp(reply,'D')
            numModel=1;
        elseif strcmp(reply,'E')
            numModel=3;
        else
            error('I do not know this figure')
        end
        runDecomposition(numModel, selectedDataSet,record )
        
    otherwise
end


