close all
clear all
%%

names = {'CShape','Angle','Bump','GShape',...
    'JShape','JShape_2','Khamesh','Line',...
    'NShape','PShape','RShape','Saeghe',...
    'Sharpc','Sine','Soft_Sine','Spoon',...
    'Sshape','Trapezoid','WShape','Zshape'};
%names = {'Zshape'}

names = {'NShape'}

for n=1:length(names)
    %Load Data
    rootpath= [ 'lasa_handwriting_motions'];
    load([rootpath filesep 'recorded_motions' filesep names{n}],'demos','dt') %loading the model
    
    [crossing_points fig1]= detectInflectionPoints(demos);
    it=1;
%% EXACT_SPD_TIME='ExactTime';
% EXACT_SPD_TIME='ExactProfile';
    
%         for i=1:length(demos)
%             pos=demos{i}(1:2,:);
%             v = ones(1,length(pos));%normalize in time
%     
%             [YI VI fs GI]=CT_ReparametrizedByParameter(pos',v,0.02,EXACT_SPD_TIME);
%             demos{i}= [YI [diff(YI); [0 0]]]';
%         end
    %% show clusterd segments
    crossing_points
    m=0;
    for i=1:size(crossing_points,2)
        ksize=length(crossing_points{i});
        startP=1;
        for k=1:ksize    
            newdemos{k}{i}=demos{i}(:,startP:crossing_points{i}(k));
            startP=crossing_points{i}(k)+1;
            
        end
        newdemos{(k+1)}{i}=demos{i}(:,startP:end);
        m = length(newdemos);
    end
    demosize=size(newdemos);
    
    %         % show each trajectory seperated
    %         for i=1:length(crossing_points)
    %             ksize=length(crossing_points{i});
    %             startP=1;
    %
    %             for k=1:ksize
    %                 newdemos{it}{1}=demos{i}(:,:);
    %                 it=it+1;
    %             end
    %         end
    %         demosize=size(newdemos);
    
    %     %% show each segment seperated
    %     for i=1:length(crossing_points)
    %         ksize=length(crossing_points{i});
    %
    %         offset=0;
    %         startP=1+offset;
    %         gab=0;
    %         for k=1:ksize
    %             newdemos{it}{1}=demos{i}(:,startP+gab:crossing_points{i}(k)-gab);
    %             startP=crossing_points{i}(k)+1;
    %             it=it+1;
    %         end
    %         newdemos{it}{1}=demos{i}(:,startP+gab:end-gab-offset);
    %         it=it+1;
    %     end
    %     demosize=size(newdemos);
    
    
    rmse=zeros(demosize,1);
    newdemos
    for ik=1:length(newdemos)
        for ik2=1:length(newdemos{ik})
            fig= figure; box on; hold all; grid on;
            xlabel('log(C)')
            ylabel('log(V)')
            
            
            [fig alpha beta]= logC_vs_logV(names(n),newdemos{ik}{ik2},fig);
            %computePrediction(newdemos{ik}{ik2},alpha,beta);
        end
         
    end
    rmse
    %compute extrema
    %    [extrema fig1]= detectExtrema(demos,fig1);
    %        it=1;
    %
    %     for i=1:length(extrema)
    %         ksize=length(extrema{i});
    %         startP=1;
    %         for k=1:ksize
    %             newdemos{k}{i}=demos{i}(:,startP:extrema{i}(k));
    %             startP=extrema{i}(k)+1;
    %         end
    %         newdemos{k+1}{i}=demos{i}(:,startP:end)
    %
    %     end
    %     fig= figure; box on; hold all; grid on;
    %     title('extrema')
    %     for ik=1:length(newdemos)
    %       [fig]= logC_vs_logV(names(n),newdemos{ik},fig);
    %     end
end
