function [boolvia] = getRobustIntersections(preSeg3_d1,preSeg3_r1,I_seg3,mVmin)
try
    [x0,y0,iout,jout] = intersections(preSeg3_d1{I_seg3}(1,2:end-1),preSeg3_d1{I_seg3}(2,2:end-1),preSeg3_r1{I_seg3}(1,2:end-1),preSeg3_r1{I_seg3}(2,2:end-1),1,0);
    
    if ~isempty(x0)
        iout = round(iout)+1;
        jout = round(jout)+1;
        
        try
            dem=preSeg3_d1{I_seg3}(:,1:iout(1));
            rep = preSeg3_r1{I_seg3}(:,1:jout(1));
            [ dem, rep ] = ResampleData_v2( dem, rep);
            ferror =max(trajectoryMeasureMSE(dem,rep));
        catch
            ferror=0;
        end
        if size(iout,1)-1 <1
            error = [];
        else
            error =zeros(size(iout,1)-1,1);
        end
        for j =1:size(iout,1)-1
            
            try
                dem=preSeg3_d1{I_seg3}(:,iout(j):iout(j+1));
                rep = preSeg3_r1{I_seg3}(:,jout(j):jout(j+1));
                [ dem, rep ] = ResampleData_v2( dem, rep);
                error(j) = max(trajectoryMeasureMSE(dem,rep));
            catch
                error(j)=0;
            end
        end
        dem=preSeg3_d1{I_seg3}(:,iout(end):end);
        rep = preSeg3_r1{I_seg3}(:,jout(end):end);
        [ dem, rep ] = ResampleData_v2( dem, rep);
        eerror = max(trajectoryMeasureMSE(dem,rep));
        error =[ferror; error; eerror];
        boolvia=0;
        for k = 1:length(error)-1
            if max(error(k),error(k+1))< mVmin %0.3 AMARSI
                error(k) = 0;
                
            else
                boolvia=1;
                error(k) = 1;
            end
        end
        
    else
        boolvia=0;
    end
catch
        boolvia=0;
end
end
    