function [ outputDemo, outputRepro ] = ResampleData( demoData, reproX, demoIndex )
%RESAMPLEDATA Summary of this function goes here
%   Detailed explanation goes here

nDataDemo = size(demoData{demoIndex}, 2);
nDataRepro = size(reproX, 2);
nData = max(nDataDemo, nDataDemo);
%resampling of the data if it doesn't have the same
%number of datapoints
outputDemo = [];
outputRepro = [];

demoTraj=demoData{demoIndex}';
reproData=reproX';

if nDataRepro < nDataDemo
   demoTraj=interp1(1:size(demoTraj,1),demoTraj,(1:size(reproData,1))/size(reproData,1)*size(demoTraj,1),'splines');
else
   reproData=interp1(1:size(reproData,1),reproData ,(1:size(demoTraj,1))/size(demoTraj,1)*size(reproData,1),'splines');  
end

outputDemo=demoTraj';
outputRepro=reproData';


end

